#include <iostream>
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
    cin.tie(0);
    int T;
    cin >> T;
    for (int i = 0;  i < T; i++)
    {
    	int N, M;
    	cin >> N >> M;
    	int peka[N][M];
    	for (int i = 0; i < N; i++)
    	{
    		for (int j = 0; j < M; j++)
    		{
    			cin >> peka[i][j];
			}
		}
		int peka22[N][M];
		for (int i = 0; i < N; i++)
    	{
    		for (int j = 0; j < M; j++)
    		{
    			cin >> peka22[i][j];
			}
		}
	}
	cout << "NE";
}